### Class

# Fwupd JcatBlob

#### Description

    final class Fwupd.JcatBlob : GObject.Object
      implements Fwupd.Codec {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fwupd_jcat_blob_new

Creates a new blob.

since: 2.1.3

###### fwupd_jcat_blob_new_utf8

Creates a new ASCII blob.

since: 2.1.3

#### Functions

###### fwupd_jcat_blob_flags_to_string

Converts an enumerated value to a string.

since: 2.1.3

###### fwupd_jcat_blob_kind_from_string

Converts a string to an enumerated value.

since: 2.1.3

###### fwupd_jcat_blob_kind_to_string

Converts an enumerated value to a string.

since: 2.1.3

###### fwupd_jcat_blob_method_to_string

Converts an enumerated value to a string.

since: 2.1.3

#### Instance methods

###### fwupd_jcat_blob_get_data

Gets the data stored in the blob, typically in binary (unprintable) form.

since: 2.1.3

###### fwupd_jcat_blob_get_data_as_string

Gets the data stored in the blob, in human readable form.

since: 2.1.3

###### fwupd_jcat_blob_get_kind

Gets the blob kind.

since: 2.1.3

###### fwupd_jcat_blob_get_target

Gets the blob target.

since: 2.1.3

###### fwupd_jcat_blob_get_timestamp

Gets the creation timestamp for the blob.

since: 2.1.3

###### fwupd_jcat_blob_set_target

Sets the blob target.

since: 2.1.3

###### fwupd_jcat_blob_set_timestamp

Sets the creation timestamp for the blob.

since: 2.1.3

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

since: 2.0.0

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

since: 2.0.0

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

since: 2.0.0

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

since: 2.0.0

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

since: 2.0.0

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

since: 2.0.0

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

since: 2.0.0

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

since: 2.0.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdJcatBlobClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.